--- /dev/null	Thu Mar 28 23:16:18 2013
+++ new/usr/src/pkg/manifests/driver-network-vioif.mf	Thu Mar 28 23:16:18 2013
@@ -0,0 +1,46 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2013, Nexenta Systems. All rights reserved.
+#
+
+#
+# The default for payload-bearing actions in this package is to appear in the
+# global zone only.  See the include file for greater detail, as well as
+# information about overriding the defaults.
+#
+<include global_zone_only_component>
+set name=pkg.fmri value=pkg:/driver/network/vioif@$(PKGVERS)
+set name=pkg.description value="VirtIO network driver"
+set name=pkg.summary value="VirtIO network driver"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Drivers/Networking
+set name=variant.arch value=$(ARCH)
+dir path=kernel group=sys
+dir path=kernel/drv group=sys
+dir path=kernel/drv/$(ARCH64) group=sys
+driver name=vioif alias=pci1af4,1 perms="* 0666 root sys"
+file path=kernel/drv/$(ARCH64)/vioif group=sys
+$(i386_ONLY)file path=kernel/drv/vioif group=sys
+legacy pkg=SUNWvioif desc="VirtIO network driver" name="VirtIO network driver"
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
